Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface Facet

All Superinterfaces:
  Comparable<Frame>, Frame, Instance

All Known Implementing Classes:
  DefaultFacet

    public interface Facet

extends Instance

A description of a constraint on the value of a frame-slot binding. This constraint may be placed on any number of frame-slot bindings.

Author:
  Ray Fergerson

Method Summary
`void` | `addFacetListener(FacetListener listener)`
`boolean` | `areValidValues(Frame frame, Slot slot, Collection values)`
`boolean` | `getAllowsMultipleValues()`
`Slot` | `getAssociatedSlot()`
`FacetConstraint` | `getConstraint()`
`String` | `getInvalidValuesText(Frame frame, Slot slot, Collection values)`
`String` | `getInvalidValueText(Frame frame, Slot slot, Object item)`
`ValueType` | `getValueType()`
`boolean` | `isValidValue(Frame frame, Slot slot, Object value)`
`void` | `removeFacetListener(FacetListener listener)`
`Facet` | `rename(String name)` This is as close as we come to renaming a frame.
`Collection` | `resolveValues(Collection originalValues, Collection newValues)`
`void` | `setAssociatedSlot(Slot slot)`
`void` | `setConstraint(FacetConstraint constraint)`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`addDirectType, addInstanceListener, getDirectType, getDirectTypes, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, copy, deepCopy, delete, getBrowserText, getDirectOwnSlotValue, getDirectOwnSlotValues, getDocumentation, getFrameID, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setVisible, shallowCopy`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### addFacetListener

    void addFacetListener(FacetListener listener)

### areValidValues

    boolean areValidValues(Frame frame,
                           Slot slot,
                           Collection values)

### getAssociatedSlot

    Slot getAssociatedSlot()

### getConstraint

    FacetConstraint getConstraint()

### getInvalidValuesText

    String getInvalidValuesText(Frame frame,
                                Slot slot,
                                Collection values)

### getInvalidValueText

    String getInvalidValueText(Frame frame,
                               Slot slot,
                               Object item)

### getValueType

    ValueType getValueType()

### getAllowsMultipleValues

    boolean getAllowsMultipleValues()

### isValidValue

    boolean isValidValue(Frame frame,
                         Slot slot,
                         Object value)

### removeFacetListener

    void removeFacetListener(FacetListener listener)

### setAssociatedSlot

    void setAssociatedSlot(Slot slot)

### setConstraint

    void setConstraint(FacetConstraint constraint)

### resolveValues

    Collection resolveValues(Collection originalValues,
                             Collection newValues)

### rename

    Facet rename(String name)

  Description copied from interface: `Frame`
  This is as close as we come to renaming a frame. Creates a clone of this with the new name and deletes this.

  Specified by:
    `rename` in interface `Frame`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.